import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiComputeUserGrantResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeUserGrantProtocol(_base.BasePostAPIFunctionProtocol):
    def user_grant(
        self,
        *,
        vm_id: int,
        user_name: str,
        access_type: _nested.AccessTypeForSet,
    ) -> CloudapiComputeUserGrantResultBool:
        ...
